import QtQuick 2.0
import Sailfish.Silica 1.0

Rectangle {
    height: col.height
    Column {
        id: col

        Text { 
            id: messageText
            text: modelData.FormattedBody
            color: Theme.primaryColor
            linkColor: Theme.highlightColor
            wrapMode: Text.Wrap
            width: chatView.width
        }
        Text {
            anchors.right: col.right
            text: modelData.Timestamp.toLocaleTimeString()
            color: Theme.highlightColor
            font.pixelSize: Theme.fontSizeTiny
            horizontalAlignment: Text.AlignRight
        }
    }
}
