import QtQuick 2.0
import Sailfish.Silica 1.0

Item {
    height: col.height
    Column {
        id: col

        Text {
            id: textItem
            text: qsTr("Changed room name to: ") + modelData.Body
            color: Theme.secondaryColor
            wrapMode: Text.Wrap
            width: chatView.width
        }
        Text {
            anchors.right: col.right
            text: modelData.Timestamp.toLocaleTimeString()
            color: Theme.highlightColor
            font.pixelSize: Theme.fontSizeTiny
            horizontalAlignment: Text.AlignRight
        }
    }
}

